ProbabilityScaleEngine Class Reference

`#include <ProbabilityScaleEngine.h>`

Inheritance diagram for ProbabilityScaleEngine:

## Public Member Functions

virtual void | autoScale (int, double &x1, double &x2, double &stepSize) const
virtual QwtScaleDiv | divideScale (double x1, double x2, int numMajorSteps, int numMinorSteps, double stepSize=0.0) const
| Calculate a scale division. More...
virtual QwtScaleTransformation * | transformation () const

## Private Member Functions

QwtValueList | buildMajorTicks (const QwtDoubleInterval &interval, int stepSize) const
void | buildTicks (const QwtDoubleInterval &, int stepSize, QwtValueList ticks[QwtScaleDiv::NTickTypes]) const

## Member Function Documentation

void ProbabilityScaleEngine::autoScale | ( | int | ,
|  | double & | x1,
|  | double & | x2,
|  | double & | stepSize
| ) |  | const

virtual

Align and divide an interval

Parameters

  maxNumSteps | Max. number of steps
  x1 | First limit of the interval (In/Out)
  x2 | Second limit of the interval (In/Out)
  stepSize | Step size (Out)

QwtValueList ProbabilityScaleEngine::buildMajorTicks | ( | const QwtDoubleInterval & | interval,
|  | int | stepSize
| ) |  | const

private

Referenced by buildTicks().

void ProbabilityScaleEngine::buildTicks | ( | const QwtDoubleInterval & | interval,
|  | int | stepSize,
|  | QwtValueList | ticks[QwtScaleDiv::NTickTypes]
| ) |  | const

private

References buildMajorTicks().

Referenced by divideScale().

QwtScaleDiv ProbabilityScaleEngine::divideScale | ( | double | x1,
|  | double | x2,
|  | int | numMajorSteps,
|  | int | numMinorSteps,
|  | double | stepSize = `0.0`
| ) |  | const

virtual

Calculate a scale division.

Parameters

  x1 | First interval limit
  x2 | Second interval limit
  maxMajSteps | Maximum for the number of major steps
  maxMinSteps | Maximum number of minor steps
  stepSize | Step size. If stepSize == 0, the scaleEngine calculates one.

References buildTicks().

QwtScaleTransformation * ProbabilityScaleEngine::transformation | ( |  | ) | const

virtual

Return a dummy transformation

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/ProbabilityScaleEngine.h
- qtiplot/src/plot2D/ProbabilityScaleEngine.cpp